function u1=intmap(u3,n,r0,r1,e0)

%load zern.dat
 m=size(u3)(1);
%   n=512;
%   r0=32;
%   r1=205;
 x=linspace(1,n,m);
 [xx,yy] = meshgrid (x,x);

 X=1:n;
 [XX,YY] = meshgrid (X,X);
 u3=interp2(xx,yy,u3,XX,YY,'spline');

 b=ones(n,n);
 c=ones(n,n).*(1:n);
 r=transpose(c);
 
 if(r1>0)
  i1=find(sqrt((r-n/2+1).^2+(c-n/2+1).^2)>=r1);
  b(i1)=0;
 end 

 if(r0>0) 
  i1=find(sqrt((r-n/2+1).^2+(c-n/2+1).^2)<=r0);
  b(i1)=0;
 end 
  
 u1=u3.*b;
%save errmap.dat u1

 figure(30);
 imagesc(u1);
 axis('square');
 caxis([-e0 e0]);
 colorbar;
 colormap('jet');
 print -dpng intmap.png

end 
 